#pragma once

#include "finder.h"
#include "word_list.h"

class SortedLinearFinder : public Finder {
private:
  WordRefList word_list_;

public:
  SortedLinearFinder(const WordList &word_list);

  WordRefList find_prefix(std::string_view search_term) const override;
};
